package com.zbf.system.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl; //添加
import com.zbf.common.utils.DateUtils;
import com.zbf.common.utils.uuid.IdUtils;
import com.zbf.system.domain.TCallNoticeOrder;
import com.zbf.system.mapper.TCallNoticeOrderMapper;
import com.zbf.system.service.ITCallNoticeOrderService;
import com.zbf.system.websocket.WebSocketUsers;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author tony
 * @date 2024-07-30
 */
@Service
public class TCallNoticeOrderServiceImpl extends ServiceImpl<TCallNoticeOrderMapper, TCallNoticeOrder> implements ITCallNoticeOrderService //修改
{
    @Autowired
    private TCallNoticeOrderMapper tCallNoticeOrderMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TCallNoticeOrder selectTCallNoticeOrderById(String id)
    {
        return tCallNoticeOrderMapper.selectTCallNoticeOrderById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tCallNoticeOrder 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TCallNoticeOrder> selectTCallNoticeOrderList(TCallNoticeOrder tCallNoticeOrder)
    {
        return tCallNoticeOrderMapper.selectTCallNoticeOrderList(tCallNoticeOrder);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tCallNoticeOrder 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTCallNoticeOrder(TCallNoticeOrder tCallNoticeOrder)
    {
        tCallNoticeOrder.setCreateTime(DateUtils.getNowDate());
        return tCallNoticeOrderMapper.insertTCallNoticeOrder(tCallNoticeOrder);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tCallNoticeOrder 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTCallNoticeOrder(TCallNoticeOrder tCallNoticeOrder)
    {
                tCallNoticeOrder.setUpdateTime(DateUtils.getNowDate());
        return tCallNoticeOrderMapper.updateTCallNoticeOrder(tCallNoticeOrder);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCallNoticeOrderByIds(String[] ids)
    {
        return tCallNoticeOrderMapper.deleteTCallNoticeOrderByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTCallNoticeOrderById(String id)
    {
        return tCallNoticeOrderMapper.deleteTCallNoticeOrderById(id);
    }


    /**
     * 批量禁用
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int disabledTCallNoticeOrderByIds(String[] ids) {
        return tCallNoticeOrderMapper.disabledTCallNoticeOrderByIds(ids);
    }

    /**
     * 批量启用
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int enableTCallNoticeOrderByIds(String[] ids) {
        return tCallNoticeOrderMapper.enableTCallNoticeOrderByIds(ids);
    }

    /**
     * 修改状态
     *
     * @param tCallNoticeOrder 工序管理主键
     * @return 结果
     */
    @Override
    public int updateStatus(TCallNoticeOrder tCallNoticeOrder) {
        return tCallNoticeOrderMapper.updateTCallNoticeOrder(tCallNoticeOrder);
    }

    /**
     * 发送任务通知信息
     */
    @Override
    public void sendNotice(TCallNoticeOrder tCallNoticeOrder) {
        tCallNoticeOrder.setId(IdUtils.randomUUID());
        tCallNoticeOrderMapper.insertTCallNoticeOrder(tCallNoticeOrder);

        // 发送通知消息
        WebSocketUsers.sendMessageToUsersByText(tCallNoticeOrder);
    }

    /**
     * 出入库通知单任务修改
     */
    @Override
    public int updateTaskStatus(TCallNoticeOrder tCallNoticeOrder) {
        return tCallNoticeOrderMapper.updateTaskStatus(tCallNoticeOrder);
    }
}
